com.tibco.n2.service.adapter.binding

## Interface PageFlowService

- All Known Implementing Classes:
    PageFlowService

      public interface PageFlowService

  Interface to provide the `PageFlowService` methods.

  ©2011 TIBCO Software Inc.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.n2.pfe.api.pageflow.CancelPageFlowResponseDocument.CancelPageFlowResponse` | `cancelPageFlow(java.lang.String processInstanceId)` Cancels PageFlow.
    `com.tibco.n2.pfe.api.pageflow.InjectPageFlowEventResponseDocument.InjectPageFlowEventResponse` | `injectPageFlowEvent(com.tibco.n2.pfe.api.common.EventDefinitionType eventDefinition, com.tibco.n2.common.datafeed.DataPayload formalParams, com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)` Injects PageFlow event.
    `com.tibco.n2.pfe.api.pageflow.ListPageFlowsResponseDocument.ListPageFlowsResponse` | `listPageFlows(java.lang.Long startPosition, java.lang.Long numberOfItems, java.lang.Boolean getTotalCount, com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria, java.lang.Boolean includeFormalParameters)` Lists PageFlows.
    `com.tibco.n2.pfe.api.pageflow.StartPageFlowResponseDocument.StartPageFlowResponse` | `startPageFlow(com.tibco.n2.pfe.api.common.PFETemplate pageFlowDefinition, com.tibco.n2.common.datafeed.DataPayload formalParams, com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode, java.lang.Long cacheTimeout)` Starts PageFlow.
    `com.tibco.n2.pfe.api.pageflow.UpdatePageFlowResponseDocument.UpdatePageFlowResponse` | `updatePageFlow(com.tibco.n2.pfe.api.common.RequestContext context, com.tibco.n2.common.datafeed.DataPayload pageFields, com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)` Updates PageFlow.

- - ### Method Detail

    - #### listPageFlows

          com.tibco.n2.pfe.api.pageflow.ListPageFlowsResponseDocument.ListPageFlowsResponse listPageFlows(java.lang.Long startPosition,
                                                                                                          java.lang.Long numberOfItems,
                                                                                                          java.lang.Boolean getTotalCount,
                                                                                                          com.tibco.n2.pfe.api.common.OrderFilterCriteria orderFilterCriteria,
                                                                                                          java.lang.Boolean includeFormalParameters)
                                                                                                   throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                          com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                          com.tibco.n2.pfe.services.PageFlowExecutionFault

      Lists PageFlows.
      Parameters:
        `startPosition` -
        `numberOfItems` -
        `getTotalCount` -
        `orderFilterCriteria` -
        `includeFormalParameters` -
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### startPageFlow

          com.tibco.n2.pfe.api.pageflow.StartPageFlowResponseDocument.StartPageFlowResponse startPageFlow(com.tibco.n2.pfe.api.common.PFETemplate pageFlowDefinition,
                                                                                                          com.tibco.n2.common.datafeed.DataPayload formalParams,
                                                                                                          com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode,
                                                                                                          java.lang.Long cacheTimeout)
                                                                                                   throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                          com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                          com.tibco.n2.pfe.services.PageFlowExecutionFault

      Starts PageFlow.
      Parameters:
        `pageFlowDefinition` -
        `formalParams` -
        `responsePayloadMode` -
        `cacheTimeout` -
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### updatePageFlow

          com.tibco.n2.pfe.api.pageflow.UpdatePageFlowResponseDocument.UpdatePageFlowResponse updatePageFlow(com.tibco.n2.pfe.api.common.RequestContext context,
                                                                                                             com.tibco.n2.common.datafeed.DataPayload pageFields,
                                                                                                             com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)
                                                                                                      throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                             com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                             com.tibco.n2.pfe.services.PageFlowExecutionFault

      Updates PageFlow.
      Parameters:
        `context` -
        `pageFields` -
        `responsePayloadMode` -
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### injectPageFlowEvent

          com.tibco.n2.pfe.api.pageflow.InjectPageFlowEventResponseDocument.InjectPageFlowEventResponse injectPageFlowEvent(com.tibco.n2.pfe.api.common.EventDefinitionType eventDefinition,
                                                                                                                            com.tibco.n2.common.datafeed.DataPayload formalParams,
                                                                                                                            com.tibco.n2.common.datafeed.PayloadModeType.Enum responsePayloadMode)
                                                                                                                     throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                                            com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                                            com.tibco.n2.pfe.services.PageFlowExecutionFault

      Injects PageFlow event.
      Parameters:
        `eventDefinition` -
        `formalParams` -
        `responsePayloadMode` -
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

    - #### cancelPageFlow

          com.tibco.n2.pfe.api.pageflow.CancelPageFlowResponseDocument.CancelPageFlowResponse cancelPageFlow(java.lang.String processInstanceId)
                                                                                                      throws com.tibco.n2.pfe.services.InternalServiceFault,
                                                                                                             com.tibco.n2.pfe.services.InvalidArgumentFault,
                                                                                                             com.tibco.n2.pfe.services.PageFlowExecutionFault

      Cancels PageFlow.
      Parameters:
        `processInstanceId` -
      Returns:
      Throws:
        `com.tibco.n2.pfe.services.InternalServiceFault`
        `com.tibco.n2.pfe.services.InvalidArgumentFault`
        `com.tibco.n2.pfe.services.PageFlowExecutionFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.